This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Set Maintenance

1 - 1.2

post /v1/clusters/{cluster_id}/maintenance

Description

Set Maintenance.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
DB cluster id
Example :
stringNone
bodybody
required

MaintenanceRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/maintenance

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.2"

Request body

{
    "start_day_of_week": "MON",
    "start_minute": "",
    "start_time": "",
    "term_hour": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

2 - 1.1

post /v1/clusters/{cluster_id}/maintenance

Description

Set Maintenance.

State ACTIVE (SUPPORTED)

VersionNot Before
1.120261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
DB cluster id
Example :
stringNone
bodybody
required

MaintenanceRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/maintenance

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.1"

Request body

{
    "start_day_of_week": "MON",
    "start_minute": "",
    "start_time": "",
    "term_hour": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

3 - 1.0

post /v1/clusters/{cluster_id}/maintenance

Description

Set Maintenance.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
DB cluster id
Example :
stringNone
bodybody
required

MaintenanceRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/maintenance

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Request body

{
    "start_day_of_week": "MON",
    "start_minute": "",
    "start_time": "",
    "term_hour": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}